diff a/src/hotspot/share/interpreter/templateInterpreter.hpp b/src/hotspot/share/interpreter/templateInterpreter.hpp
--- a/src/hotspot/share/interpreter/templateInterpreter.hpp
+++ b/src/hotspot/share/interpreter/templateInterpreter.hpp
@@ -109,10 +109,13 @@
   static address    _throw_NullPointerException_entry;
   static address    _throw_exception_entry;
 
   static address    _throw_StackOverflowError_entry;
 
+  static address    _cont_resume_interpreter_adapter;
+  static address    _native_frame_resume_entry;
+
   static address    _remove_activation_entry;                   // continuation address if an exception is not handled by current frame
   static address    _remove_activation_preserving_args_entry;   // continuation address when current frame is being popped
 
 #ifndef PRODUCT
   static EntryPoint _trace_code;
@@ -152,10 +155,13 @@
   static address    throw_exception_entry()                     { return _throw_exception_entry; }
   static address    throw_ArithmeticException_entry()           { return _throw_ArithmeticException_entry; }
   static address    throw_NullPointerException_entry()          { return _throw_NullPointerException_entry; }
   static address    throw_StackOverflowError_entry()            { return _throw_StackOverflowError_entry; }
 
+  static address    cont_resume_interpreter_adapter()           { return _cont_resume_interpreter_adapter; }
+  static address    native_frame_resume_entry()                 { return _native_frame_resume_entry; }
+
   // Code generation
 #ifndef PRODUCT
   static address    trace_code    (TosState state)              { return _trace_code.entry(state); }
 #endif // !PRODUCT
   static address*   dispatch_table(TosState state)              { return _active_table.table_for(state); }
